VULKAN_HPP_NAMESPACE::FramebufferCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::FramebufferCreateInfo:
[legend]

## Public Member Functions

| FramebufferCreateInfo (FramebufferCreateFlags flags_=FramebufferCreateFlags(), RenderPass renderPass_=RenderPass(), uint32_t attachmentCount_=0, const ImageView *pAttachments_=nullptr, uint32_t width_=0, uint32_t height_=0, uint32_t layers_=0)
| FramebufferCreateInfo (VkFramebufferCreateInfo const &rhs)
FramebufferCreateInfo & | operator= (VkFramebufferCreateInfo const &rhs)
FramebufferCreateInfo & | setPNext (const void *pNext_)
FramebufferCreateInfo & | setFlags (FramebufferCreateFlags flags_)
FramebufferCreateInfo & | setRenderPass (RenderPass renderPass_)
FramebufferCreateInfo & | setAttachmentCount (uint32_t attachmentCount_)
FramebufferCreateInfo & | setPAttachments (const ImageView *pAttachments_)
FramebufferCreateInfo & | setWidth (uint32_t width_)
FramebufferCreateInfo & | setHeight (uint32_t height_)
FramebufferCreateInfo & | setLayers (uint32_t layers_)
| operator VkFramebufferCreateInfo const & () const
| operator VkFramebufferCreateInfo & ()
bool | operator== (FramebufferCreateInfo const &rhs) const
bool | operator!= (FramebufferCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
FramebufferCreateFlags | flags
RenderPass | renderPass
uint32_t | attachmentCount
const ImageView * | pAttachments
uint32_t | width
uint32_t | height
uint32_t | layers

## Private Attributes

StructureType | sType = StructureType::eFramebufferCreateInfo

## Detailed Description

Definition at line 11620 of file vulkan.hpp.

## Constructor & Destructor Documentation

## FramebufferCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::FramebufferCreateInfo | ( | FramebufferCreateFlags | flags_ = `FramebufferCreateFlags()`,
|  | RenderPass | renderPass_ = `RenderPass()`,
|  | uint32_t | attachmentCount_ = `0`,
|  | const ImageView * | pAttachments_ = `nullptr`,
|  | uint32_t | width_ = `0`,
|  | uint32_t | height_ = `0`,
|  | uint32_t | layers_ = `0`
| ) |  |

inline

Definition at line 11622 of file vulkan.hpp.

: flags( flags_ )
, renderPass( renderPass_ )
, attachmentCount( attachmentCount_ )
, pAttachments( pAttachments_ )
, width( width_ )
, height( height_ )
, layers( layers_ )
{
}

## FramebufferCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::FramebufferCreateInfo | ( | VkFramebufferCreateInfo const & | rhs | ) |

inline

Definition at line 11639 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( FramebufferCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkFramebufferCreateInfo &()

VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::operator VkFramebufferCreateInfo & | ( |  | ) |

inline

Definition at line 11702 of file vulkan.hpp.

{
return *reinterpret_cast<VkFramebufferCreateInfo*>(this);
}

## operator VkFramebufferCreateInfo const &()

VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::operator VkFramebufferCreateInfo const & | ( |  | ) | const

inline

Definition at line 11697 of file vulkan.hpp.

{
return *reinterpret_cast<const VkFramebufferCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::operator!= | ( | FramebufferCreateInfo const & | rhs | ) | const

inline

Definition at line 11720 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

FramebufferCreateInfo& VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::operator= | ( | VkFramebufferCreateInfo const & | rhs | ) |

inline

Definition at line 11644 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( FramebufferCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::operator== | ( | FramebufferCreateInfo const & | rhs | ) | const

inline

Definition at line 11707 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( renderPass == rhs.renderPass )
&& ( attachmentCount == rhs.attachmentCount )
&& ( pAttachments == rhs.pAttachments )
&& ( width == rhs.width )
&& ( height == rhs.height )
&& ( layers == rhs.layers );
}

References attachmentCount, flags, height, layers, pAttachments, pNext, renderPass, sType, and width.

Referenced by operator!=().

## setAttachmentCount()

FramebufferCreateInfo& VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::setAttachmentCount | ( | uint32_t | attachmentCount_ | ) |

inline

Definition at line 11667 of file vulkan.hpp.

{
attachmentCount = attachmentCount_;
return *this;
}

References attachmentCount.

## setFlags()

FramebufferCreateInfo& VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::setFlags | ( | FramebufferCreateFlags | flags_ | ) |

inline

Definition at line 11655 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setHeight()

FramebufferCreateInfo& VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::setHeight | ( | uint32_t | height_ | ) |

inline

Definition at line 11685 of file vulkan.hpp.

{
height = height_;
return *this;
}

## setLayers()

FramebufferCreateInfo& VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::setLayers | ( | uint32_t | layers_ | ) |

inline

Definition at line 11691 of file vulkan.hpp.

{
layers = layers_;
return *this;
}

## setPAttachments()

FramebufferCreateInfo& VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::setPAttachments | ( | const ImageView * | pAttachments_ | ) |

inline

Definition at line 11673 of file vulkan.hpp.

{
pAttachments = pAttachments_;
return *this;
}

References pAttachments.

## setPNext()

FramebufferCreateInfo& VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 11649 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setRenderPass()

FramebufferCreateInfo& VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::setRenderPass | ( | RenderPass | renderPass_ | ) |

inline

Definition at line 11661 of file vulkan.hpp.

{
renderPass = renderPass_;
return *this;
}

References renderPass.

## setWidth()

FramebufferCreateInfo& VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::setWidth | ( | uint32_t | width_ | ) |

inline

Definition at line 11679 of file vulkan.hpp.

{
width = width_;
return *this;
}

## Field Documentation

## attachmentCount

uint32_t VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::attachmentCount

Definition at line 11732 of file vulkan.hpp.

Referenced by operator==(), and setAttachmentCount().

## flags

FramebufferCreateFlags VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::flags

Definition at line 11730 of file vulkan.hpp.

Referenced by operator==().

## height

uint32_t VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::height

Definition at line 11735 of file vulkan.hpp.

Referenced by operator==().

## layers

uint32_t VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::layers

Definition at line 11736 of file vulkan.hpp.

Referenced by operator==().

## pAttachments

const ImageView* VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::pAttachments

Definition at line 11733 of file vulkan.hpp.

Referenced by operator==(), and setPAttachments().

## pNext

const void* VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::pNext = nullptr

Definition at line 11729 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## renderPass

RenderPass VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::renderPass

Definition at line 11731 of file vulkan.hpp.

Referenced by operator==(), and setRenderPass().

## sType

StructureType VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::sType = StructureType::eFramebufferCreateInfo

private

Definition at line 11726 of file vulkan.hpp.

Referenced by operator==().

## width

uint32_t VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::width

Definition at line 11734 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

width
GLint GLint GLsizei width
Definition: SDL_opengl.h:1572
VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::attachmentCount
uint32_t attachmentCount
Definition: vulkan.hpp:11732
VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::FramebufferCreateInfo
FramebufferCreateInfo(FramebufferCreateFlags flags_=FramebufferCreateFlags(), RenderPass renderPass_=RenderPass(), uint32_t attachmentCount_=0, const ImageView *pAttachments_=nullptr, uint32_t width_=0, uint32_t height_=0, uint32_t layers_=0)
Definition: vulkan.hpp:11622
VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::operator==
bool operator==(FramebufferCreateInfo const &rhs) const
Definition: vulkan.hpp:11707
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::width
uint32_t width
Definition: vulkan.hpp:11734
VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:11726
VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::renderPass
RenderPass renderPass
Definition: vulkan.hpp:11731
height
GLint GLint GLsizei GLsizei height
Definition: SDL_opengl.h:1572
VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::pAttachments
const ImageView * pAttachments
Definition: vulkan.hpp:11733
VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:11729
VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::flags
FramebufferCreateFlags flags
Definition: vulkan.hpp:11730
VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::layers
uint32_t layers
Definition: vulkan.hpp:11736
VULKAN_HPP_NAMESPACE::FramebufferCreateInfo::height
uint32_t height
Definition: vulkan.hpp:11735
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
layers
GLenum GLsizei GLsizei GLsizei GLsizei layers
Definition: SDL_opengl_glext.h:5063
VkFramebufferCreateInfo
Definition: vulkan_core.h:2606